Subject: Re: bug#20489: 25.0.50; next-error-find-buffer chooses non-current buffer without good reason

From: Dmitry Gutov <[email-masked]>
Date: Fri, 2 Mar 2018 02:54:01 +0200

On 2/28/18 11:32 PM, Juri Linkov wrote:

>> If that's something next-error-function must do, let's document it
>> better. Right now it only says "Function to use to find the next error in
>> the current buffer" (how does one "find" an error?) and describes input
>> arguments, but not the return value (which is luckily unused) or which
>> buffer must be current, or which window selected at the end.
> 
> It's not yet clear which window should be selected at the end,
> please see the recent bug#30646.

I'm not seeing that problem with xref, or Grep. Guessing it's a bug in 
occur-next-error, which as you noted in a more recent message, doesn't 
set the current buffer to the right value at the end.

No need to change next-error for this.